Summary:         GNOME System Monitor
Name:            gtop
Version:         1.0.13
Release:         2
Copyright:       GPL
Group:           Applications/System
Source:          ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot:       %{_tmppath}/%{name}-%{version}-root
URL:             http://www.gnome.org
BuildRequires:   gnome-libs-devel, gtk+-devel, libgtop-devel, ORBit-devel

%description
GNOME System Monitor.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%prep
%setup -q

%build
%ifarch alpha
	MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS \
	--prefix=%{_prefix} --bindir=%{_bindir} --datadir=%{_datadir}
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix} \
    --bindir=%{_bindir} --datadir=%{_datadir} 


if [ "$SMP" != "" ]; then
    make -k -j$SMP check "MAKE=make -k -j$SMP check"
else
    make -k check
fi

%install
rm -rf $RPM_BUILD_ROOT

make -k prefix=$RPM_BUILD_ROOT%{_prefix} \
    bindir=$RPM_BUILD_ROOT%{_bindir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS BUG-REPORTING COPYING NEWS README
%{_bindir}/*
%{_datadir}/gnome/apps/System/gtop.desktop
%{_datadir}/gnome/help/gtop
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/*
%{_datadir}/gtoprc


%changelog
* Fri Aug 17 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- made tar /setup quiet
- Fixed Source
- fixed BuildRoot
- replaced Copyright with License

* Fri Apr 27 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fixed %files section (cleaner, doesn't miss files now)

* Wed Feb 21 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fix macros and hard-coded paths.

* Sun Aug 23 1998 Martin Baulig <martin@home-of-linux.org>
- Make GTop its own top-level module.
